Bug 2258595 - Review Request: python-kivy-garden - The kivy garden installation script
Summary: Review Request: python-kivy-garden - The kivy garden installation script
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2258796
TreeView+ depends on / blocked
 
Reported: 2024-01-16 12:54 UTC by Benson Muite
Modified: 2024-02-04 15:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:
code: fedora-review?


Attachments (Terms of Use)

Comment 1 Fedora Review Service 2024-01-16 12:58:26 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6908902
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2258595-python-kivy-garden/fedora-rawhide-x86_64/06908902-python-kivy-garden/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Ben Beasley 2024-01-20 14:05:14 UTC
This looks good, except for a duplicate LICENSE file that can be handled better, and a file conflict that you must resolve.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== Issues =====

- The executable name “garden” is pretty generic, and indeed it turns out that
  there is a file conflict:

    $ repoquery -q --repo=rawhide --whatprovides '*bin/garden'
    garden-0:1.0.9-19.fc39.x86_64

  The guidelines prescribe approaching one or both upstreams about
  deconflicting binary names, and then if that fails, trying to hash out a
  cross-distro answer on a freedesktop.org mailing list. Unfortunately, that
  process seems likely to take a little time.

  https://docs.fedoraproject.org/en-US/packaging-guidelines/Conflicts/#_binary_name_conflicts

  I’m also CC’ing the maintainer of the existing garden package, which provides
  the conflicting /usr/bin/garden.

- Since %pyproject_save_files is already properly indicating the LICENSE file in the .dist-info directory,

    $ rpm -qL -p results/python3-kivy-garden-0.1.5-1.fc40.noarch.rpm 
    /usr/lib/python3.12/site-packages/Kivy_Garden-0.1.5.dist-info/LICENSE
    /usr/share/licenses/python3-kivy-garden/LICENSE

  you should remove

    %license LICENSE

  and add the “-l” option to %pyproject_save_files to assert that a license
  file was found and handled. This guards against the license file in
  .dist-info “disappearing” without being noticed in a future release.

  The -l option is a recent addition to pyproject-rpm-macros; it is available
  in all Fedora releases (but not EPEL9). See
  https://src.fedoraproject.org/rpms/pyproject-rpm-macros for documentation.

- Man pages for executables are always nice and desired but not mandatory:

    https://docs.fedoraproject.org/en-US/packaging-guidelines/#_manpages

  A man page is not required for approval.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT License", "*No copyright* MIT License", "Unknown or
     generated". 14 files have unknown license. Detailed output of
     licensecheck in /home/ben/Downloads/review/2258595-python-kivy-
     garden/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.

     The package garden already includes a /usr/bin/garden.

[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

     $ rpm -qL -p results/python3-kivy-garden-0.1.5-1.fc40.noarch.rpm 
     /usr/lib/python3.12/site-packages/Kivy_Garden-0.1.5.dist-info/LICENSE
     /usr/share/licenses/python3-kivy-garden/LICENSE

     The duplicate LICENSE can be removed; use %pyproject_save_files -l.

[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 220 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.

     I chose not to attempt an interactive test.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

     https://docs.fedoraproject.org/en-US/packaging-guidelines/#_manpages

[x]: %check is present and all tests pass.

     Upstream provides no tests; %check contains an appropriate import-only
     “smoke test.”

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-kivy-garden-0.1.5-1.fc40.noarch.rpm
          python-kivy-garden-0.1.5-1.fc40.src.rpm
=============================================== rpmlint session starts ===============================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmppk2lnav1')]
checks: 31, packages: 2

python3-kivy-garden.noarch: W: no-manual-page-for-binary garden
================ 2 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.5 s ================




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 1

python3-kivy-garden.noarch: E: spelling-error ('buildozer', '%description -l en_US buildozer -> bulldozer, builder')
python3-kivy-garden.noarch: W: python-missing-require requests
python3-kivy-garden.noarch: W: no-manual-page-for-binary garden
 1 packages and 0 specfiles checked; 1 errors, 2 warnings, 3 filtered, 1 badness; has taken 0.1 s 



Source checksums
----------------
https://github.com/kivy-garden/garden/archive/v0.1.5/garden-0.1.5.tar.gz :
  CHECKSUM(SHA256) this package     : 33414c27014cf2ec9f1cca5fbff9de1ef04d85956f8de9d3c22185114e818a9f
  CHECKSUM(SHA256) upstream package : 33414c27014cf2ec9f1cca5fbff9de1ef04d85956f8de9d3c22185114e818a9f


Requires
--------
python3-kivy-garden (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.12dist(requests)



Provides
--------
python3-kivy-garden:
    python-kivy-garden
    python3-kivy-garden
    python3.12-kivy-garden
    python3.12dist(kivy-garden)
    python3dist(kivy-garden)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2258595
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: C/C++, fonts, SugarActivity, Ocaml, Haskell, Java, PHP, R, Perl
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 3 Benson Muite 2024-02-04 15:35:03 UTC
Thanks. Trying to get the file conflict resolved. May try and get Python Kivy to work without this package
as resolving the conflicts may take some time.


Note You need to log in before you can comment on or make changes to this bug.